Register a new sensor

Register a new iBeacon Sensor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Register a new sensor with this endpoint. You can optionally add tags, location and metadata fields to the JSON payload to be associated with the sensor. In the example below, the an iBeacon sensor is registered with tags, location and metadata fields set.

curl -v  -X PUT --user "c0eb26da-f39e-4211-9964-095d020dfe7b:Mry2oK3GSjy78O2WyORgJQ" -H "Content-Type: application/json" -d '{"tags" : ["test_sensor", "doorway"], "location" : [45.5110233,-122.6720035], "metadata" : { "venue" : {"id" : "1234", "name" : "Downtown Mall", "hour_open" : "8 AM", "hour_close" : "8 PM"}, "messages" : {"welcome" : "Welcome to Downtown mall", "help" : "Call 1800-CALL-ME-NOW"}}}' https://api.lumenpath.com/api/sensor/A1C3DC52-5372-42E8-B495-39F50EED5D7E/1/1/

Response
========
    {"uuid":"A1C3DC52-5372-42E8-B495-39F50EED5D7E","major_version":"1","minor_version":"1","account_id":"251ecc05-98c7-4fea-957e-d9885cc7c75e","location":["45.5110233"," -122.6720035"],"tags":["doorway","test_sensor"],"metadata":{"venue":{"id":"1234","hour_open":"8 AM","name":"Downtown Mall","hour_close":"8 PM"},"messages":{"help":"Call 1800-CALL-ME-NOW","welcome":"Welcome to Downtown mall"}}}
$.ajax
({
  type: "PUT",
  url: "https://api.lumenpath.com/api/sensor/A1C3DC52-5372-42E8-B495-39F50EED5D7E/1/1/",
  dataType: 'json',
  async: false,
  headers: {
    "Authorization": "Basic " + btoa("c0eb26da-f39e-4211-9964-095d020dfe7b:Mry2oK3GSjy78O2WyORgJQ")
  },
  data: '{"tags" : ["test_sensor", "doorway"], "location" : [45.5110233,-122.6720035], "metadata" : { "venue" : {"id" : "1234", "name" : "Downtown Mall", "hour_open" : "8 AM", "hour_close" : "8 PM"}, "messages" : {"welcome" : "Welcome to Downtown mall", "help" : "Call 1800-CALL-ME-NOW"}}}',
  success: function (){
    alert('Created sensor'); 
  }
});
Path Params
string
required

iBeacon UUID

int32
required

iBeacon Major Version

int32
required

iBeacon Minor Version

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json